Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159504 - Creative Labs SB Audigy does not work
Summary: Creative Labs SB Audigy does not work
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard
Version: 4
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-03 08:16 UTC by Minkwe
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-15 16:34:04 UTC


Attachments (Terms of Use)
Output from amixer, lspci and lsmod, aplay -l and modprobe.conf (deleted)
2005-06-03 08:16 UTC, Minkwe
no flags Details

Description Minkwe 2005-06-03 08:16:52 UTC
Description of problem:
Sound does not work with Creative Labs SB Audigy 2 card.

Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.11-5
alsa-utils-1.0.9rc2-2
alsa-lib-1.0.9rc4-2


How reproducible:
everytime

Steps to Reproduce:
1. run system-config-soundcard
2. click on [ Play test sound ]


Actual results:
No sound can be heard and the following errors are printed on the terminal.
----------------
amixer: Unknown playback setup 'on'..

amixer: Unknown playback setup 'on'..

amixer: Unable to find simple control 'PCM-2',0

amixer: Unable to find simple control 'DRC Range',0

Playing WAVE '/usr/share/system-config-soundcard/sound-sample.wav' : Signed 16
bit Little Endian, Rate 44100 Hz, Stereo


Expected results:
Should have heard test sound


Additional info:
See attached file for outputs from 'amixer' 'lspci' and 'lsmod'

Comment 1 Minkwe 2005-06-03 08:16:52 UTC
Created attachment 115127 [details]
Output from amixer, lspci and lsmod, aplay -l and modprobe.conf

Comment 2 Martin Stransky 2005-06-03 10:26:28 UTC
Can you attach output of 'aplay -l' and content of modprobe.conf?

Comment 3 Minkwe 2005-06-06 16:25:39 UTC
Comment on attachment 115127 [details]
Output from amixer, lspci and lsmod, aplay -l and modprobe.conf

Since I've changed some hardware since the last attachment, and updated to the
latest development tree, here is the complete attachment again including 'aplay
-l' and 'modprobe.conf'

VERSIONS
--------
kernel-2.6.11-1.1366_FC4
alsa-lib-1.0.9rf-1
alsa-utils-1.0.9rc2-2
system-config-soundcard-1.2.12-1

AMIXER OUTPUT
-------------
Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 59 [59%]
Simple mixer control 'Tone',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Mono:
  Front Left: Playback [off]
  Front Right: Playback [off]
Simple mixer control 'Bass',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 40
  Mono: 40 [100%]
  Front Left:
  Front Right:
Simple mixer control 'Treble',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 40
  Mono: 40 [100%]
  Front Left:
  Front Right:
Simple mixer control '3D Control - Switch',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control '3D Control Sigmatel - Depth',0
  Capabilities: volume volume-joined
  Playback channels: Mono
  Limits: 0 - 3
  Mono: 2 [67%]
Simple mixer control 'PCM',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 75 [75%] Capture 75 [75%]
  Front Right: Playback 75 [75%] Capture 75 [75%]
Simple mixer control 'PCM Center',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 71 [71%]
Simple mixer control 'PCM Front',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Front Left: Playback 71 [71%]
  Front Right: Playback 71 [71%]
Simple mixer control 'PCM LFE',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 71 [71%]
Simple mixer control 'PCM Side',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Front Left: Playback 71 [71%]
  Front Right: Playback 71 [71%]
Simple mixer control 'PCM Surround',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Front Left: Playback 71 [71%]
  Front Right: Playback 71 [71%]
Simple mixer control 'Front',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Front Left: Playback 71 [71%]
  Front Right: Playback 71 [71%]
Simple mixer control 'Surround',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Front Left: Playback 71 [71%]
  Front Right: Playback 71 [71%]
Simple mixer control 'Center',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 71 [71%]
Simple mixer control 'LFE',0
  Capabilities: pvolume pvolume-joined
  Playback channels: Mono
  Limits: Playback 0 - 100
  Mono: Playback 71 [71%]
Simple mixer control 'Side',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 100
  Front Left: Playback 71 [71%]
  Front Right: Playback 71 [71%]
Simple mixer control 'Synth',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 64 [64%] Capture 0 [0%]
  Front Right: Playback 64 [64%] Capture 0 [0%]
Simple mixer control 'Line',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 22 [71%] [on]
  Front Right: Playback 22 [71%] [on]
Simple mixer control 'Line2',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 64 [64%] Capture 0 [0%]
  Front Right: Playback 64 [64%] Capture 0 [0%]
Simple mixer control 'CD',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 22 [71%] [on]
  Front Right: Playback 22 [71%] [on]
Simple mixer control 'Mic',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 70 [70%] Capture 0 [0%]
  Front Right: Playback 70 [70%] Capture 0 [0%]
Simple mixer control 'Mic Boost (+20dB)',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Phone',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 31
  Mono: Playback 22 [71%] [on]
Simple mixer control 'IEC958 Optical',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 64 [64%] Capture 0 [0%]
  Front Right: Playback 64 [64%] Capture 0 [0%]
Simple mixer control 'IEC958 Optical Raw',0
  Capabilities: pswitch
  Playback channels: Front Left - Front Right
  Front Left: Playback [on]
  Front Right: Playback [on]
Simple mixer control 'PC Speaker',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 15
  Mono: Playback 10 [67%] [on]
Simple mixer control 'Aux',0
  Capabilities: pvolume pswitch pswitch-joined
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Front Left: Playback 22 [71%] [on]
  Front Right: Playback 22 [71%] [on]
Simple mixer control 'Aux2',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 0 [0%] Capture 0 [0%]
  Front Right: Playback 0 [0%] Capture 0 [0%]
Simple mixer control 'Analog Mix',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 64 [64%] Capture 0 [0%]
  Front Right: Playback 64 [64%] Capture 0 [0%]
Simple mixer control 'Audigy Analog/Digital Output Jack',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Audigy CD',0
  Capabilities: pvolume cvolume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: Playback 0 - 100 Capture 0 - 100
  Front Left: Playback 64 [64%] Capture 0 [0%]
  Front Right: Playback 64 [64%] Capture 0 [0%]
Simple mixer control 'Audigy SPDIF Output Sample Rate',0
  Capabilities:
  Mono:
Simple mixer control 'External Amplifier',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'HD Analog Center/LFE',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 255
  Mono: 0 [0%]
  Front Left:
  Front Right:
Simple mixer control 'HD Analog Front',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 255
  Mono: 0 [0%]
  Front Left:
  Front Right:
Simple mixer control 'HD Analog Rear',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 255
  Mono: 0 [0%]
  Front Left:
  Front Right:
Simple mixer control 'HD Analog Unknown',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 255
  Mono: 0 [0%]
  Front Left:
  Front Right:
Simple mixer control 'HD SPDIF Center/LFE',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 255
  Mono: 0 [0%]
  Front Left:
  Front Right:
Simple mixer control 'HD SPDIF Front',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 255
  Mono: 0 [0%]
  Front Left:
  Front Right:
Simple mixer control 'HD SPDIF Rear',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 255
  Mono: 0 [0%]
  Front Left:
  Front Right:
Simple mixer control 'HD SPDIF Unknown',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Limits: 0 - 255
  Mono: 0 [0%]
  Front Left:
  Front Right:
Simple mixer control 'Sigmatel 4-Speaker Stereo',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [on]
Simple mixer control 'Sigmatel Surround Phase Inversion Playback ',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]

LSPCI OUTPUT
------------
00:00.0 Host bridge: VIA Technologies, Inc. VT8377 [KT400/KT600 AGP] Host
Bridge
00:01.0 PCI bridge: VIA Technologies, Inc. VT8235 PCI Bridge
00:09.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:0a.0 Multimedia audio controller: Creative Labs SB Audigy (rev 04)
00:0a.1 Input device controller: Creative Labs SB Audigy MIDI/Game port (rev
04)
00:0a.2 FireWire (IEEE 1394): Creative Labs SB Audigy FireWire Port (rev 04)
00:0b.0 Multimedia video controller: Conexant CX23880/1/2/3 PCI Video and Audio
Decoder (rev 05)
00:0b.2 Multimedia controller: Conexant CX23880/1/2/3 PCI Video and Audio
Decoder [MPEG Port] (rev 05)
00:10.0 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.1 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.2 USB Controller: VIA Technologies, Inc. VT82xxxxx UHCI USB 1.1
Controller (rev 80)
00:10.3 USB Controller: VIA Technologies, Inc. USB 2.0 (rev 82)
00:11.0 ISA bridge: VIA Technologies, Inc. VT8235 ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc.
VT82C586A/B/VT82C686/A/B/VT823x/A/C PIPC Bus Master IDE (rev 06)
00:12.0 Ethernet controller: VIA Technologies, Inc. VT6102 [Rhine-II] (rev 74)
01:00.0 VGA compatible controller: nVidia Corporation NV34 [GeForce FX 5200]
(rev a1)

LSMOD OUTPUT
------------
Module			Size  Used by
ipt_MASQUERADE		3265  1 
ipt_mark		1601  1 
iptable_nat	       21917  2 ipt_MASQUERADE
ipt_MARK		2369  1 
iptable_mangle		2753  1 
ipt_REJECT		5569  1 
ipt_state		1857  3 
ip_conntrack	       41497  3 ipt_MASQUERADE,iptable_nat,ipt_state
iptable_filter		2881  1 
ip_tables	       19521  8
ipt_MASQUERADE,ipt_mark,iptable_nat,ipt_MARK,iptable_mangle,ipt_REJECT,ipt_stat
e,iptable_filter
saa7134 	      111765  0 
nls_utf8		2113  1 
parport_pc	       28933  1 
lp		       13001  0 
parport 	       40585  2 parport_pc,lp
autofs4 	       29253  2 
rfcomm		       42333  0 
l2cap		       30661  5 rfcomm
bluetooth	       56133  4 rfcomm,l2cap
sunrpc		      167813  1 
dm_mod		       58101  0 
sd_mod		       20545  0 
md5			4033  1 
ipv6		      268097  10 
usblp		       13249  0 
usb_storage	       73225  0 
scsi_mod	      148105  2 sd_mod,usb_storage
ohci1394	       41353  0 
ieee1394	      304441  1 ohci1394
uhci_hcd	       35153  0 
ehci_hcd	       41037  0 
tda9887 	       13913  0 
tuner		       27121  0 
cx8800		       33741  0 
v4l1_compat	       13381  2 saa7134,cx8800
v4l2_common		5825  2 saa7134,cx8800
cx88_dvb		7621  0 
cx8802		       12229  1 cx88_dvb
mt352			6341  1 cx88_dvb
cx88xx		       54113  3 cx8800,cx88_dvb,cx8802
i2c_algo_bit		9289  1 cx88xx
ir_common		7493  2 saa7134,cx88xx
btcx_risc		4937  3 cx8800,cx8802,cx88xx
tveeprom	       13017  1 cx88xx
videodev		9537  3 saa7134,cx8800,cx88xx
or51132 		9797  1 cx88_dvb
video_buf_dvb		7109  1 cx88_dvb
dvb_core	       92393  1 video_buf_dvb
video_buf	       23749  6
saa7134,cx8800,cx88_dvb,cx8802,cx88xx,video_buf_dvb
cx22702 		5957  1 cx88_dvb
i2c_core	       21569  9
saa7134,tda9887,tuner,mt352,cx88xx,i2c_algo_bit,tveeprom,or51132,cx22702
dvb_pll 		4677  3 cx88_dvb,or51132,cx22702
emu10k1_gp		3649  0 
gameport	       18633  2 emu10k1_gp
via_ircc	       24021  0 
irda		      129657  1 via_ircc
crc_ccitt		2113  1 irda
snd_emu10k1_synth	8513  0 
snd_emux_synth	       43073  1 snd_emu10k1_synth
snd_seq_virmidi 	7105  1 snd_emux_synth
snd_seq_midi_emul	6849  1 snd_emux_synth
snd_emu10k1	      133317  2 snd_emu10k1_synth
snd_rawmidi	       30305  2 snd_seq_virmidi,snd_emu10k1
snd_ac97_codec	       75961  1 snd_emu10k1
snd_seq_dummy		3653  0 
snd_seq_oss	       37057  0 
snd_seq_midi_event	9153  2 snd_seq_virmidi,snd_seq_oss
snd_seq 	       62289  8
snd_emux_synth,snd_seq_virmidi,snd_seq_midi_emul,snd_seq_dummy,snd_seq_oss,snd_
seq_midi_event
snd_seq_device		8781  7
snd_emu10k1_synth,snd_emux_synth,snd_emu10k1,snd_rawmidi,snd_seq_dummy,snd_seq_
oss,snd_seq
snd_pcm_oss	       51185  0 
snd_mixer_oss	       17857  1 snd_pcm_oss
snd_pcm 	      100169  3 snd_emu10k1,snd_ac97_codec,snd_pcm_oss
snd_timer	       33605  3 snd_emu10k1,snd_seq,snd_pcm
snd_page_alloc		9669  2 snd_emu10k1,snd_pcm
snd_util_mem		4673  2 snd_emux_synth,snd_emu10k1
snd_hwdep		9057  2 snd_emux_synth,snd_emu10k1
snd		       57157  15
snd_emux_synth,snd_seq_virmidi,snd_emu10k1,snd_rawmidi,snd_ac97_codec,snd_seq_o
ss,snd_seq,snd_seq_device,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
soundcore	       10913  2 saa7134,snd
8139too 	       30017  0 
via_rhine	       28361  0 
mii			5441  2 8139too,via_rhine
floppy		       65269  0 
ext3		      132553  4 
jbd		       86233  1 ext3

APLAY -l OUTPUT
---------------
**** List of PLAYBACK Hardware Devices ****
card 0: SB0240 [Audigy 2 [SB0240]], device 0: emu10k1 [ADC Capture/Standard PCM
Playback]
  Subdevices: 32/32
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2
  Subdevice #3: subdevice #3
  Subdevice #4: subdevice #4
  Subdevice #5: subdevice #5
  Subdevice #6: subdevice #6
  Subdevice #7: subdevice #7
  Subdevice #8: subdevice #8
  Subdevice #9: subdevice #9
  Subdevice #10: subdevice #10
  Subdevice #11: subdevice #11
  Subdevice #12: subdevice #12
  Subdevice #13: subdevice #13
  Subdevice #14: subdevice #14
  Subdevice #15: subdevice #15
  Subdevice #16: subdevice #16
  Subdevice #17: subdevice #17
  Subdevice #18: subdevice #18
  Subdevice #19: subdevice #19
  Subdevice #20: subdevice #20
  Subdevice #21: subdevice #21
  Subdevice #22: subdevice #22
  Subdevice #23: subdevice #23
  Subdevice #24: subdevice #24
  Subdevice #25: subdevice #25
  Subdevice #26: subdevice #26
  Subdevice #27: subdevice #27
  Subdevice #28: subdevice #28
  Subdevice #29: subdevice #29
  Subdevice #30: subdevice #30
  Subdevice #31: subdevice #31
card 0: SB0240 [Audigy 2 [SB0240]], device 2: emu10k1 efx [Multichannel
Capture/PT Playback]
  Subdevices: 8/8
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1
  Subdevice #2: subdevice #2
  Subdevice #3: subdevice #3
  Subdevice #4: subdevice #4
  Subdevice #5: subdevice #5
  Subdevice #6: subdevice #6
  Subdevice #7: subdevice #7
card 0: SB0240 [Audigy 2 [SB0240]], device 3: emu10k1 [Multichannel Playback]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 0: SB0240 [Audigy 2 [SB0240]], device 4: p16v [p16v]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

MODPROBE.CONF
--------------
alias eth0 via-rhine
alias eth1 8139too
alias snd-card-0 snd-emu10k1
options snd-card-0 index=0
options snd-emu10k1 index=0
remove snd-emu10k1 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; };
/sbin/modprobe -r --ignore-remove snd-emu10k1
alias char-major-81 saa7134
alias usb-controller ehci-hcd
alias usb-controller1 uhci-hcd
alias ieee1394-controller ohci1394

Comment 4 Micheal Clark 2005-06-15 00:21:01 UTC
I can confirm the same behavior on Fedora Core 4 final

Comment 5 Martin Juergens 2005-06-15 13:09:34 UTC
I can't confirm it. You just have to run kmix/alsamixer and adjust your volume
settings. The you have to go to "Audigy Analog/Digital Output Jack" in alsamixer
and make it still. Don't mute it, just make it still.

Martin

Comment 6 Minkwe 2005-06-15 16:34:04 UTC
(In reply to comment #5)
Martin,
Did you do a clean-install? was your "Audigy Analog/Digital Output Jack" enabled
by default?

I can confirm sound works after checking the "Audigy Analog/Digital Output Jack"
in the Volume Control under GNOME. The switch was not visible but I could make
it visible by selecting it from Edit-->Preferences.

Still, this is information that could have made it into the "KNOWN Issues" of
the Release Notes because it is certainly different behaviour from FC3. Can it
still be considered a bug, since the sound should "just work" but it doesn't?

Comment 7 Micheal Clark 2005-06-17 02:45:53 UTC
Thanks Martin, setting that option worked beautifully.  I have to agre
withMinkwe, however, having somthing posted on this somewhere, even if it is
just on FedoraFaq.org would be very very helpful.

Comment 8 daniel 2005-06-18 00:30:31 UTC
(In reply to comment #7)
> Thanks Martin, setting that option worked beautifully.  I have to agre
> withMinkwe, however, having somthing posted on this somewhere, even if it is
> just on FedoraFaq.org would be very very helpful.


Hi Micheal,

How did you actually fix your problem?

I am having the same problem as yours.

My sound card works fine on FC3, but after I installed FC4,
the sound card does not work, when I use system-config-soundcard
I get following messages:

amixer: Unable to find simple control 'PCM-2',0
amixer: Unable to find simple control 'DRC Range',0

Please help.

Thanks.
-Daniel




Comment 9 Carlos Moura 2005-06-22 16:45:19 UTC
I am had the same problem. Now, my soundcard is OK!
Solution: I adjusted the "External Amplifier" in tabled "Switch" in KMIX to
"Enabled" (Yellow led).


Note You need to log in before you can comment on or make changes to this bug.